#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Geo
%define		pnam	Shapelib
Summary:	Geo::Shapelib - Perl extension for reading and writing shapefiles as defined by ESRI(r)
Summary(pl.UTF-8):	Geo::Shapelib - rozszerzenie Perla o obsługę r/w plików ESRI(r) SHP
Name:		perl-Geo-Shapelib
Version:	0.20
Release:	9
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Geo/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca0246d5b5c8950153a5c48eea0d2d2c
URL:		http://search.cpan.org/dist/Geo-Shapelib/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Tree-R
%endif
Requires:	perl-Tree-R
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for reading, creating, and writing shapefiles as
defined by ESRI(r) using Perl. The Perl code uses Frank Warmerdam's
Shapefile C Library (http://shapelib.maptools.org/). The library is
included in this distribution.

%description -l pl.UTF-8
Biblioteka ta umożliwia wczytywanie, tworzenie oraz zapisywanie tzw.
shapefiles zdefiniowanych przez ESRI(r) z poziomu Perla. Kod
wykorzystuje bibliotekę C Shapefile Franka Warmerdama
(http://shapelib.maptools.org/). Biblioteka ta jest załączona w
pakiecie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Geo/Shapelib.pm
%dir %{perl_vendorarch}/auto/Geo/Shapelib
%{perl_vendorarch}/auto/Geo/Shapelib/shputils
%attr(755,root,root) %{perl_vendorarch}/auto/Geo/Shapelib/Shapelib.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Geo-Shapelib.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 299da4b
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3589ec0
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5b11980
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> da81c25
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d3f326f
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2ca2c84
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9674418
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 35d5a0d
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 700e15c
- rel 2

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 4268726
- up to 0.20

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 463c792
- generic URL

* Mon Mar 26 2007 radek <radek@pld-linux.org> 6edb26a
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 55f0824
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2a19a55
- converted to UTF-8

* Fri Aug 25 2006 radek <radek@pld-linux.org> 6bea8a8
- release 2: not noarch

* Tue Jul 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 8731150
- formatting

* Thu Jul 07 2005 bartowl <bartowl@pld-linux.org> 287c51e
- Source0-md5 added

* Thu Jul 07 2005 bartowl <bartowl@pld-linux.org> 0fd503f
- initial release
- STBR (checked locally)

